# Interface X509CheckOptions

interface X509CheckOptions {
multiLabelWildcards?: boolean;
partialWildcards?: boolean;
singleLabelSubdomains?: boolean;
subject?: "default" | "always" | "never";
wildcards?: boolean;
}

- Defined in node_modules/@types/node/crypto.d.ts:3576

#####
Index

### Properties

multiLabelWildcards?
partialWildcards?
singleLabelSubdomains?
subject?
wildcards?

## Properties

### `Optional` multiLabelWildcards

multiLabelWildcards?: boolean

#### Default

    false

- Defined in node_modules/@types/node/crypto.d.ts:3592

### `Optional` partialWildcards

partialWildcards?: boolean

#### Default

    true

- Defined in node_modules/@types/node/crypto.d.ts:3588

### `Optional` singleLabelSubdomains

singleLabelSubdomains?: boolean

#### Default

    false

- Defined in node_modules/@types/node/crypto.d.ts:3596

### `Optional` subject

subject?: "default" | "always" | "never"

#### Default

    'always'

- Defined in node_modules/@types/node/crypto.d.ts:3580

### `Optional` wildcards

wildcards?: boolean

#### Default

    true

- Defined in node_modules/@types/node/crypto.d.ts:3584